VPFConfig (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFConfig

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.bbn.openmap.layer.vpf.VPFConfig

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class VPFConfig

extends javax.swing.JPanel
implements java.awt.event.ActionListener

A component that can look at the VPF configuration files at the top level of the VPF directory structure, and provide an interface for defining an OpenMap VPFLayer for chosen features.

If the VPFConfig is provided a LayerHandler, it will have a button that will create a layer with selected features. If it doesn't have a LayerHandler, it will provide a button to print out the properties for a VPFLayer for the selected features. This class can be run in stand-alone mode to create properties.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `VPFConfig.CoverageInfo`
`protected static class` | `VPFConfig.FeatureInfo`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `AddFeatureCmd`
`static java.lang.String` | `AREA`
`static java.lang.String` | `ClearFeaturesCmd`
`static java.lang.String` | `COMPLEX`
`static java.lang.String` | `CPOINT`
`static java.lang.String` | `CreateLayerCmd`
`protected DrawingAttributes` | `drawingAttributes`
`static java.lang.String` | `EDGE`
`static java.lang.String` | `EMPTY_FEATURE_LIST`
`static java.lang.String` | `EPOINT`
`protected VPFLayer` | `layer`
`protected java.util.HashSet<java.lang.String>` | `layerCoverageTypes`
`protected java.util.Hashtable<java.lang.String,java.util.HashSet<java.lang.String>>` | `layerFeatures`
`protected java.util.HashSet<java.lang.String>` | `layerFeatureTypes`
`protected LayerHandler` | `layerHandler`
`protected java.lang.String` | `layerName`
`protected java.util.Properties` | `layerProperties`
`protected LibraryBean` | `libraryBean`
`protected java.lang.String` | `paths`
`static java.lang.String` | `POINT`
`protected boolean` | `searchByFeature`
`protected boolean` | `showAll`
`protected boolean` | `standAlone`
`static java.lang.String` | `TEXT`
`static java.lang.String` | `UNKNOWN`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`` | `VPFConfig(LibraryBean lb, LayerHandler layerHandler, java.lang.String layerName)`
`` | `VPFConfig(java.lang.String[] dataPaths, LayerHandler layerHandler, java.lang.String layerName)`
`protected` | `VPFConfig(java.lang.String[] dataPaths, LayerHandler layerHandler, java.lang.String layerName, boolean standAlone)`
`` | `VPFConfig(java.lang.String[] dataPaths, java.lang.String layerName)`
`` | `VPFConfig(VPFLayer layer)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`static void` | `createLayer(LibraryBean libraryBean, LayerHandler layerHandler, java.lang.String layerName)`
`static void` | `createLayer(java.lang.String[] vpfPaths, LayerHandler layerHandler, java.lang.String layerName)`
`java.lang.String` | `formatPaths(java.lang.String[] dataPaths)`
`void` | `init(javax.swing.tree.DefaultMutableTreeNode top)`
`protected static void` | `launchFrame(javax.swing.JComponent content, boolean exitOnClose)`
`protected void` | `loadCurrentFeatures(javax.swing.tree.DefaultMutableTreeNode top, java.lang.String featureName, LayerGraphicWarehouseSupport warehouse)`
`static void` | `main(java.lang.String[] args)`
`static void` | `printFeatures(java.lang.String[] dataPaths)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### showAll

    protected boolean showAll

### standAlone

    protected boolean standAlone

### AddFeatureCmd

    public static final java.lang.String AddFeatureCmd

See Also:
  Constant Field Values

### ClearFeaturesCmd

    public static final java.lang.String ClearFeaturesCmd

See Also:
  Constant Field Values

### CreateLayerCmd

    public static final java.lang.String CreateLayerCmd

See Also:
  Constant Field Values

### EMPTY_FEATURE_LIST

    public static final java.lang.String EMPTY_FEATURE_LIST

### drawingAttributes

    protected DrawingAttributes drawingAttributes

### searchByFeature

    protected boolean searchByFeature

### paths

    protected java.lang.String paths

### layerCoverageTypes

    protected java.util.HashSet<java.lang.String> layerCoverageTypes

### layerFeatureTypes

    protected java.util.HashSet<java.lang.String> layerFeatureTypes

### AREA

    public static final java.lang.String AREA

See Also:
  Constant Field Values

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### EDGE

    public static final java.lang.String EDGE

See Also:
  Constant Field Values

### POINT

    public static final java.lang.String POINT

See Also:
  Constant Field Values

### CPOINT

    public static final java.lang.String CPOINT

See Also:
  Constant Field Values

### EPOINT

    public static final java.lang.String EPOINT

See Also:
  Constant Field Values

### COMPLEX

    public static final java.lang.String COMPLEX

See Also:
  Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

### layerFeatures

    protected java.util.Hashtable<java.lang.String,java.util.HashSet<java.lang.String>> layerFeatures

### layerProperties

    protected java.util.Properties layerProperties

### layerHandler

    protected LayerHandler layerHandler

### libraryBean

    protected LibraryBean libraryBean

### layerName

    protected java.lang.String layerName

### layer

    protected VPFLayer layer

Constructor Detail

### VPFConfig

    public VPFConfig(java.lang.String[] dataPaths,
                     java.lang.String layerName)

### VPFConfig

    public VPFConfig(java.lang.String[] dataPaths,
                     LayerHandler layerHandler,
                     java.lang.String layerName)

### VPFConfig

    protected VPFConfig(java.lang.String[] dataPaths,
                        LayerHandler layerHandler,
                        java.lang.String layerName,
                        boolean standAlone)

### VPFConfig

    public VPFConfig(LibraryBean lb,
                     LayerHandler layerHandler,
                     java.lang.String layerName)

### VPFConfig

    public VPFConfig(VPFLayer layer)

Method Detail

### formatPaths

    public java.lang.String formatPaths(java.lang.String[] dataPaths)

### init

    public void init(javax.swing.tree.DefaultMutableTreeNode top)

### loadCurrentFeatures

    protected void loadCurrentFeatures(javax.swing.tree.DefaultMutableTreeNode top,
                                       java.lang.String featureName,
                                       LayerGraphicWarehouseSupport warehouse)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### printFeatures

    public static void printFeatures(java.lang.String[] dataPaths)

### createLayer

    public static void createLayer(java.lang.String[] vpfPaths,
                                   LayerHandler layerHandler,
                                   java.lang.String layerName)

### createLayer

    public static void createLayer(LibraryBean libraryBean,
                                   LayerHandler layerHandler,
                                   java.lang.String layerName)

### launchFrame

    protected static void launchFrame(javax.swing.JComponent content,
                                      boolean exitOnClose)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details